# Class SignOfferRequest

#### Hierarchy

- unknown
  - SignOfferRequest

- Defined in src/protobuf/pb_pb.d.ts:611
- Defined in src/protobuf/pb_pb.d.ts:664

#####
Index

### Constructors

constructor

### Methods

addReserveTxKeyImages
clearOfferPayload
clearPubKeyRing
clearReserveTxKeyImagesList
clearSenderNodeAddress
getCurrentDate
getOfferId
getOfferPayload
getPayoutAddress
getPubKeyRing
getReserveTxHash
getReserveTxHex
getReserveTxKey
getReserveTxKeyImagesList
getSenderAccountId
getSenderNodeAddress
getUid
hasOfferPayload
hasPubKeyRing
hasSenderNodeAddress
serializeBinary
setCurrentDate
setOfferId
setOfferPayload
setPayoutAddress
setPubKeyRing
setReserveTxHash
setReserveTxHex
setReserveTxKey
setReserveTxKeyImagesList
setSenderAccountId
setSenderNodeAddress
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignOfferRequest(): SignOfferRequest

- #### Returns SignOfferRequest

  Inherited from jspb.Message.constructor

## Methods

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): SignOfferRequest

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:651

### clearOfferPayload

- clearOfferPayload(): SignOfferRequest

- #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:631

### clearPubKeyRing

- clearPubKeyRing(): SignOfferRequest

- #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:623

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): SignOfferRequest

- #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:650

### clearSenderNodeAddress

- clearSenderNodeAddress(): SignOfferRequest

- #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:618

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:636

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:612

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- #### Returns undefined | OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:628

### getPayoutAddress

- getPayoutAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:653

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:620

### getReserveTxHash

- getReserveTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:639

### getReserveTxHex

- getReserveTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:642

### getReserveTxKey

- getReserveTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:645

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:648

### getSenderAccountId

- getSenderAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:625

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:615

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:633

### hasOfferPayload

- hasOfferPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:630

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:622

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:617

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:656

### setCurrentDate

- setCurrentDate(value: number): SignOfferRequest

- #### Parameters

  - ##### value: number

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:637

### setOfferId

- setOfferId(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:613

### setOfferPayload

- setOfferPayload(value?: OfferPayload): SignOfferRequest

- #### Parameters

  - ##### `Optional` value: OfferPayload

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:629

### setPayoutAddress

- setPayoutAddress(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:654

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): SignOfferRequest

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:621

### setReserveTxHash

- setReserveTxHash(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:640

### setReserveTxHex

- setReserveTxHex(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:643

### setReserveTxKey

- setReserveTxKey(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:646

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): SignOfferRequest

- #### Parameters

  - ##### value: string[]

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:649

### setSenderAccountId

- setSenderAccountId(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:626

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): SignOfferRequest

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:616

### setUid

- setUid(value: string): SignOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:634

### toObject

- toObject(includeInstance?: boolean): SignOfferRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignOfferRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:657

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignOfferRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:660

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignOfferRequest, reader: BinaryReader): SignOfferRequest

- #### Parameters

  - ##### message: SignOfferRequest

  - ##### reader: BinaryReader

  #### Returns SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:661

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignOfferRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:659

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignOfferRequest): SignOfferRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignOfferRequest

  #### Returns SignOfferRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:658

Generated using TypeDoc